org.tmatesoft.svn.core.wc.admin

## Interface ISVNGNUDiffGenerator

- All Superinterfaces:
    ISVNDiffGenerator

      public interface ISVNGNUDiffGenerator
      extends ISVNDiffGenerator

  The ISVNGNUDiffGenerator is the interface for diff generators used in diff operations of SVNLookClient.
  Since:
    1.2
  Version:
    1.3
  Author:
    TMate Software Ltd.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ADDED` The type of modification denoting addition.
    `static int` | `COPIED` The type of modification denoting copying.
    `static int` | `DELETED` The type of modification denoting deletion.
    `static int` | `MODIFIED` The type of modification denoting modification.
    `static int` | `NO_DIFF` The type of modification denoting that no diff is available after a header.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `displayHeader(int type, java.lang.String path, java.lang.String copyFromPath, long copyFromRevision, java.io.OutputStream result)` Informs this diff generator about a change to a path.

    - ### Methods inherited from interface org.tmatesoft.svn.core.wc.ISVNDiffGenerator

      `createTempDirectory, displayAddedDirectory, displayDeletedDirectory, displayFileDiff, displayPropDiff, getEncoding, getEOL, init, isDiffAdded, isDiffCopied, isDiffDeleted, isDiffUnversioned, isForcedBinaryDiff, setBasePath, setDiffAdded, setDiffCopied, setDiffDeleted, setDiffUnversioned, setEncoding, setEOL, setForcedBinaryDiff`

- - ### Field Detail

    - #### ADDED

          static final int ADDED

      The type of modification denoting addition.
      See Also:
        Constant Field Values

    - #### DELETED

          static final int DELETED

      The type of modification denoting deletion.
      See Also:
        Constant Field Values

    - #### MODIFIED

          static final int MODIFIED

      The type of modification denoting modification.
      See Also:
        Constant Field Values

    - #### COPIED

          static final int COPIED

      The type of modification denoting copying.
      See Also:
        Constant Field Values

    - #### NO_DIFF

          static final int NO_DIFF

      The type of modification denoting that no diff is available after a header. Called if a header is written, but differences can not be written due to some reasons. Default generator simple prints a new line symbol when handling this type of change.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### displayHeader

          void displayHeader(int type,
                           java.lang.String path,
                           java.lang.String copyFromPath,
                           long copyFromRevision,
                           java.io.OutputStream result)
                             throws SVNException

      Informs this diff generator about a change to a path.
      Parameters:
        `type` - one of static fields of this interface
        `path` - a changed path
        `copyFromPath` - a copy-from source path if `path` is the result of a copy
        `copyFromRevision` - a copy-from source revision if `path` is the result of a copy
        `result` - an output stream where a header is to be written
      Throws:
        `SVNException`

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.